%define name    lush
%define version 0.98
%define release 1mdk

# This makes sure the binaries are UNSTRIPPED!
%define __os_install_post       %{nil}

Summary: 	The Lisp Universal Shell
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Development/Other
Source: 	%{name}-%{version}.tar.bz2
Patch:          %{name}-%{version}-manual.patch.bz2
URL: 		http://lush.sourceforge.net/
Requires:       binutils libMesaglut3 libSDL_image1.2 libgsl0 libblas3 liblapack3
BuildRequires:  binutils-devel libMesaglut3-devel libSDL_image1.2-devel libgsl0-devel libblas3-devel liblapack3-devel
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
Lush is an object-oriented Lisp interpreter and compiler with a seamless
interface to C, a vector, matrix, and tensor engine, a huge numerical 
library, a GUI toolkit, and bindings to GSL, SDL, OpenGL, V4l, and others.
It is an alternative to Matlab, Python, and Scheme, and allows Lisp and C
to be mixed within a single function, providing a unique combination of 
flexibility and efficiency. Lush is an ideal programming language for 
researchers in AI, computer vision, audio, image, and video processing, 
machine learning, statistics, bio-informatics, as well as for interactive 
graphics and multimedia applications. 

Lush includes a huge numerical library including full interfaces to GSL, LAPACK
and BLAS, a object-oriented GUI toolkit and interfaces to extensive graphics
and multimedia libraries such as OpenGL and SDL.


%prep
rm -rf %{buildroot}

%setup -q -n %name

%patch -p1 -b .manual

%build

%configure

%make 

#etc/make-latex-manual
#cd doc/latex
#latex lush-manual.tex
#dvips -o ../manual.ps lush-manual.dvi

%install
rm -fr %{buildroot}

%makeinstall

bzip2 $RPM_BUILD_ROOT/%_mandir/man1/*

#rm -fr $RPM_BUILD_ROOT/%_datadir/%name/src
#rm -fr $RPM_BUILD_ROOT/%_datadir/%name/include

%clean
rm -fr %{buildroot}

%files 
%defattr(-, root, root)
%doc COPYING COPYRIGHT README
%_bindir/*
%_datadir/%name
%_mandir/man1/*

%changelog
* Thu Jun 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.98-1mdk
- from David Coe <david@coent.co.uk> :
	- Do not strip executable to avoid dld/bdf load errors.
	- Remove source directory from binary RPM.
	- Initial 0.98 RPM release.

* Thu Feb 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.97.1-1mdk
- 0.97.1

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.96-2mdk
- rebuild

* Wed Jan 15 2003 Austin Acton <aacton@yorku.ca> 0.96-1mdk
- bump version
- cleanup %_datadir/lush

* Mon Nov 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.95-1mdk
- new
